header.file {bnstruct} | R Documentation

## get header file of a `BNDataset`.

### Description

Return the header filename of a dataset (with the path to its position, as given by the user), present if the dataset has been read from a file and not manually inserted. The header file contains three rows:

1. list of names of the variables, in the same order as in the data file;

2. list of cardinalities of the variables, if discrete, or levels for quantization if continuous;

3. list of status of the variables: `c` for continuous variables, `d` for discrete ones.

### Usage

    header.file(x)

    ## S4 method for signature 'BNDataset'
    header.file(x)

### Arguments

`x` | a `BNDataset`.

### Value

header filename of the dataset.

### See Also

`data.file`

[Package bnstruct version 1.0.6 Index]